Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.spi.core.remoting
Interface Connector

    public interface Connector

A Connector is used by the client for creating and controlling a connection.

Author:
  Tim Fox

Method Summary
`void` | `close()` closes the connector
`Connection` | `createConnection()` Create and return a connection from this connector.
`boolean` | `isStarted()` returns true if the connector is started, oterwise false.
`void` | `start()` starts the connector

Method Detail

### start

    void start()

  starts the connector

### close

    void close()

  closes the connector

### isStarted

    boolean isStarted()

  returns true if the connector is started, oterwise false.

  Returns:
    true if the connector is started

### createConnection

    Connection createConnection()

  Create and return a connection from this connector.

  This method must NOT throw an exception if it fails to create the connection (e.g. network is not available), in this case it MUST return null

  Returns:
    The connection, or null if unable to create a connection (e.g. network is unavailable)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Red Hat Inc. All Rights Reserved.